function qingjiejie_choose()
	
	local m=flag.GetValue(34011)
	if m==1 then
        ui.Popo(170747,1,1601,0)--哇，你玩过呀。很好玩儿啊，是吧～？
        ui.Popo(170748,1,1601,0)--既如此，奖励你一个方采薇的绝技吧！看好了——
		effect.FadeOut(1,1)
		wt(2)
		player.AddMagic(3046)
		ui.Message(170749)--夏侯瑾轩习得绝技：风声鹤唳
		wt(0.5)
		effect.FadeIn(1,1)
		wt(2)
		flag.SetValue(34012,2)
		--npc回头
		npc.TurnToPos(1601,7734,1973)
        global.WaitForNpcTurn(1601)

	elseif m==2 then
		ui.Popo(170751,1,1601,0)--……好吧，有空一定要玩一下啊！
		flag.SetValue(34012,1)
		--npc回头
		npc.TurnToPos(1601,7734,1973)
        global.WaitForNpcTurn(1601)
	end
	
end